Debian Bug report logs - #494322
gnome-mplayer: Could you use PCM mixer for the volume mixer ?

version graph

Package: gnome-mplayer; Maintainer for gnome-mplayer is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for gnome-mplayer is src:gnome-mplayer.

Reported by: giggz <giggzounet@gmail.com>

Date: Fri, 8 Aug 2008 14:36:05 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version gnome-mplayer/0.6.3-1

Fixed in version gnome-mplayer/0.7.0-1

Done: Cesare Tirabassi <norsetto@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cesare Tirabassi <norsetto@ubuntu.com>:
Bug#494322; Package gnome-mplayer. Full text and rfc822 format available.

Acknowledgement sent to giggz <giggzounet@gmail.com>:
New Bug report received and forwarded. Copy sent to Cesare Tirabassi <norsetto@ubuntu.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: giggz <giggzounet@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-mplayer: Could you use PCM mixer for the volume mixer ?
Date: Fri, 08 Aug 2008 16:34:16 +0200
Package: gnome-mplayer
Version: 0.6.3-1
Severity: wishlist

Hi,

In mplayer the volume is linked to the PCM mixer. And that is very
useful! Could you please do the same for gnome-mplayer ?

Thx a lot!
Guillaume


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26.1-1
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-mplayer depends on:
ii  dbus                   1.2.1-3           simple interprocess messaging syst
ii  gconf2                 2.22.0-1          GNOME configuration database syste
ii  libatk1.0-0            1.22.0-1          The ATK accessibility toolkit
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libcairo2              1.6.4-6           The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.2.1-3           simple interprocess messaging syst
ii  libdbus-glib-1-2       0.76-1            simple interprocess messaging syst
ii  libfontconfig1         2.6.0-1           generic font configuration library
ii  libfreetype6           2.3.7-1           FreeType 2 font engine, shared lib
ii  libgconf2-4            2.22.0-1          GNOME configuration database syste
ii  libglib2.0-0           2.16.5-1          The GLib library of C routines
ii  libgtk2.0-0            2.12.11-3         The GTK+ graphical user interface 
ii  libpango1.0-0          1.20.5-1          Layout and rendering of internatio
ii  libpixman-1-0          0.10.0-2          pixel-manipulation library for X a
ii  libpng12-0             1.2.27-1          PNG library - runtime
ii  libx11-6               2:1.1.4-2         X11 client-side library
ii  libxcb-render-util0    0.2+git41-1       utility libraries for X C Binding 
ii  libxcb-render0         1.1-1.1           X C Binding, render extension
ii  libxcb1                1.1-1.1           X C Binding
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  mplayer                1.0~rc2-17        movie player for Unix-like systems
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

gnome-mplayer recommends no packages.

gnome-mplayer suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#494322; Package gnome-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Cesare Tirabassi <norsetto@ubuntu.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 494322@bugs.debian.org (full text, mbox):

From: Cesare Tirabassi <norsetto@ubuntu.com>
To: giggz <giggzounet@gmail.com>, 494322@bugs.debian.org
Subject: Re: Bug#494322: gnome-mplayer: Could you use PCM mixer for the volume mixer ?
Date: Fri, 8 Aug 2008 18:48:54 +0200
On Friday 08 August 2008 16:34:16 giggz wrote:
> In mplayer the volume is linked to the PCM mixer. And that is very
> useful! Could you please do the same for gnome-mplayer ?

Hi again Guillame,

what do you mean by this?
gnome-mplayer uses the mplayer volume control in master mode only (which is 
the mplayer default).
Why would you want to set the mplayer volume control to pcm instead of master?
Or do you mean something different?

Cesare




Information forwarded to debian-bugs-dist@lists.debian.org, Cesare Tirabassi <norsetto@ubuntu.com>:
Bug#494322; Package gnome-mplayer. Full text and rfc822 format available.

Acknowledgement sent to giggzounet <giggzounet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cesare Tirabassi <norsetto@ubuntu.com>. Full text and rfc822 format available.

Message #15 received at 494322@bugs.debian.org (full text, mbox):

From: giggzounet <giggzounet@gmail.com>
To: Cesare Tirabassi <norsetto@ubuntu.com>
Cc: 494322@bugs.debian.org
Subject: Re: Bug#494322: gnome-mplayer: Could you use PCM mixer for the volume mixer ?
Date: Fri, 08 Aug 2008 19:04:07 +0200
Cesare Tirabassi a écrit :
> On Friday 08 August 2008 16:34:16 giggz wrote:
>> In mplayer the volume is linked to the PCM mixer. And that is very
>> useful! Could you please do the same for gnome-mplayer ?
> 
> Hi again Guillame,
> 
> what do you mean by this?
> gnome-mplayer uses the mplayer volume control in master mode only (which is 
> the mplayer default).
> Why would you want to set the mplayer volume control to pcm instead of master?
> Or do you mean something different?
> 

when I launch gmplayer on a video file, so I get the gui of mplayer. the
sound level which I can see on this gui is the "PCM" output channel and
not the "master" output channel. It is the same on gxine and the same on
my mpd application "ario". So when I change one all change together. I
don't have change anything on my mplayer config. So I don't understand
when you say that "mplayer volume control in master mode only (which is
the mplayer default)". :)

But in order to come back to gnome-mplayer : I made a mistake : it uses
the PCM output. But, I don't understand why, gnome-mplayer changes my
settings of sound level on PCM output :
for example I have a sound level of 50% on PCM output before I start
gnome-mplayer. As soon as I launch gnome-mplayer, the level is 100% on
the PCM output. So here is my problem : gnome-mplayer uses the PCM
output, but changes the settings without I do anything.

The sound level button on gnome-mplayer works well : when I move the
sound level through it, the sound level on my PCM output changes
accordingly.

Bye
Guillaume


> Cesare





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#494322; Package gnome-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Cesare Tirabassi <norsetto@ubuntu.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 494322@bugs.debian.org (full text, mbox):

From: Cesare Tirabassi <norsetto@ubuntu.com>
To: 494322@bugs.debian.org
Subject: Re: Bug#494322: gnome-mplayer: Could you use PCM mixer for the volume mixer ?
Date: Fri, 8 Aug 2008 21:19:55 +0200
On Friday 08 August 2008 19:04:07 you wrote:
> But in order to come back to gnome-mplayer : I made a mistake : it uses
> the PCM output. But, I don't understand why, gnome-mplayer changes my
> settings of sound level on PCM output :
> for example I have a sound level of 50% on PCM output before I start
> gnome-mplayer. As soon as I launch gnome-mplayer, the level is 100% on
> the PCM output. So here is my problem : gnome-mplayer uses the PCM
> output, but changes the settings without I do anything.

Yes, this is a known issue which has been fixed already in SVN r727 (will be 
in 0.6.4 which should be out next week).

Cesare




Tags added: fixed-upstream Request was from Cesare Tirabassi <norsetto@ubuntu.com> to controlbugs.debian.org. (Sun, 10 Aug 2008 15:42:36 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Cesare Tirabassi <norsetto@ubuntu.com> to control@bugs.debian.org. (Fri, 15 Aug 2008 21:03:07 GMT) Full text and rfc822 format available.

Reply sent to Cesare Tirabassi <norsetto@ubuntu.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to giggz <giggzounet@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 494322-close@bugs.debian.org (full text, mbox):

From: Cesare Tirabassi <norsetto@ubuntu.com>
To: 494322-close@bugs.debian.org
Subject: Bug#494322: fixed in gnome-mplayer 0.7.0-1
Date: Tue, 02 Sep 2008 14:02:05 +0000
Source: gnome-mplayer
Source-Version: 0.7.0-1

We believe that the bug you reported is fixed in the latest version of
gnome-mplayer, which is due to be installed in the Debian FTP archive:

gnome-mplayer-dbg_0.7.0-1_amd64.deb
  to pool/main/g/gnome-mplayer/gnome-mplayer-dbg_0.7.0-1_amd64.deb
gnome-mplayer_0.7.0-1.diff.gz
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0-1.diff.gz
gnome-mplayer_0.7.0-1.dsc
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0-1.dsc
gnome-mplayer_0.7.0-1_amd64.deb
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0-1_amd64.deb
gnome-mplayer_0.7.0.orig.tar.gz
  to pool/main/g/gnome-mplayer/gnome-mplayer_0.7.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494322@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cesare Tirabassi <norsetto@ubuntu.com> (supplier of updated gnome-mplayer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Aug 2008 21:17:50 +0200
Source: gnome-mplayer
Binary: gnome-mplayer gnome-mplayer-dbg
Architecture: source amd64
Version: 0.7.0-1
Distribution: unstable
Urgency: low
Maintainer: Cesare Tirabassi <norsetto@ubuntu.com>
Changed-By: Cesare Tirabassi <norsetto@ubuntu.com>
Description: 
 gnome-mplayer - A simple GUI for MPlayer
 gnome-mplayer-dbg - A simple GUI for MPlayer (debugging symbols)
Closes: 493241 494322 495094
Changes: 
 gnome-mplayer (0.7.0-1) unstable; urgency=low
 .
   * New upstream release (CLoses: #494322):
     - debian/control:
       + add libasound2-dev as a Build-Depends
       + add required version for pkg-config (>= 0.20)
     - remove patch fix-desktop-kde.patch now applied upstream
     - add --single_instance command line option in man page
   * Fix the package failing to build if built twice in a row (Closes: #493241)
   * Link only against needed libraries (Closes: #495094):
     - explicitly pass libraries through the GTK_LIBS environment variable
   * Remove libtool usage for linking:
     - debian/patches/avoid_libtool.patch: avoid linking using libtool
     - debian/rules: remove call to chrpath
     - debian/control: remove B-D on chrpath
   * Modify debian/rules to patch before configure call
   * Removed unused dh_installdir call in debian/rules
Checksums-Sha1: 
 557afc9d33ced588913fb1bf521d6d194e7589b8 1881 gnome-mplayer_0.7.0-1.dsc
 805ad01d2901092d838d1c37f9ff3d86ecc81991 619993 gnome-mplayer_0.7.0.orig.tar.gz
 9bb9b191497f02f243f29c64e8fdbc517b48b4d1 6214 gnome-mplayer_0.7.0-1.diff.gz
 3eebe71fa848c6438fc952e03a63d92c3aa015bc 250932 gnome-mplayer_0.7.0-1_amd64.deb
 03c977c7b0403588306d57b7b134ccac7f673c5f 158586 gnome-mplayer-dbg_0.7.0-1_amd64.deb
Checksums-Sha256: 
 499b24bb80c5f53cc4379f13f45ac990dbf7e4289e917ef5cbab9f562e81dfb7 1881 gnome-mplayer_0.7.0-1.dsc
 2a3816acafbe2924709de6c8e54dd2330b5d042d42ee4c3f079e81d337606704 619993 gnome-mplayer_0.7.0.orig.tar.gz
 caa6eb60d08fc9fe5de4924978d4904cf61d16ea7f9ad61dc48ccfeb862ce99f 6214 gnome-mplayer_0.7.0-1.diff.gz
 8ce82a9608439e25e1ffb6930a6b572e7143eb94681d19fbfc88f1d113ccabd0 250932 gnome-mplayer_0.7.0-1_amd64.deb
 5abf31ac2e9dede4ed158170b5752dcf043d4e8787b10162cb69d48bcac0a9d9 158586 gnome-mplayer-dbg_0.7.0-1_amd64.deb
Files: 
 ea096a4b822255ddaf46760576b46eee 1881 graphics optional gnome-mplayer_0.7.0-1.dsc
 6620bde9eb888c4e4784f5078f64bdaa 619993 graphics optional gnome-mplayer_0.7.0.orig.tar.gz
 24c50b740b39d5e740dc8e58ab011903 6214 graphics optional gnome-mplayer_0.7.0-1.diff.gz
 6f919102cab527c3aa032777be2e131c 250932 graphics optional gnome-mplayer_0.7.0-1_amd64.deb
 ba0761b2d69bdf222410ca927cb6ee1c 158586 graphics extra gnome-mplayer-dbg_0.7.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBAgAGBQJIvUOnAAoJEKBE/gcUDGZkBoQP+wfKcTOvtvxFpSUMf4HRYZFh
9Z3iIa0yix+Xmt29g6kh2pV+j/bzFDHzIpuWU3+wppw8JNh8qpMUI9mg9N7csJqF
qZno9t7rHtvspIZpPK/Gsok6l8xfSqRysu632GOjG3S0a4bou7GJuGgyOXEx+9eI
+g10NOhqKYmUPgihTD6PcL/GcOyLAEQkpaUj66SG5HROVWfKzaj/PlEPpoxITbGQ
IjBbLuOx5k6hFarkmWBIw9QXVcXUOzeQrxhZWcLa7hiXifr4Mi0AnneoPGjkfSPb
ZnY5wD4zHMPEtww4lN//s0aEzILIFUCqm4qncnCsn151J8J2D1mFo0ouq0SLhnZ6
79y2J8+vmTIVLYdQUxA7G9OrzFIu4vIAx7+azv8OQXX8U3Rki4d/AJdk41dvB68W
sULy93Yalw07VwxBJqQa0Kk1df3eITs/xReTX5rY7tlNH8xNWmW9N2K9Xn5UK0Bb
R3LSz74UO5Ibp2i4mF3chEwHSth8ufwwvC/t+I3tN7cImhhsOffUdLcB/3eBG/rB
cQGWLwGX8qlJHZiO8IICJNmH3j7vjVZ4TLOO4yxlEBBcfCBsmNI941SPYXiUeK2o
G854zUfaZeUEiYkXYtQdMtx7bynL5Bs7pybORRwj6kr+0z8lEoOjUCsX1pRyf9xS
VGt+Ljvczxxy2llgs0pa
=QdJ0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Mar 2010 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:25:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.